Update Cart Warehouse Trackstar Tags
curl --request PUT \
--url https://production.trackstarhq.com/cart/warehouses/{warehouse_id}/trackstar-tags \
--header 'Content-Type: application/json' \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>' \
--data '
{
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
]
}
'import requests
url = "https://production.trackstarhq.com/cart/warehouses/{warehouse_id}/trackstar-tags"
payload = { "trackstar_tags": ["tag1", "tag2", { "tag3": "value3" }] }
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({trackstar_tags: ['tag1', 'tag2', {tag3: 'value3'}]})
};
fetch('https://production.trackstarhq.com/cart/warehouses/{warehouse_id}/trackstar-tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "id",
"unused_fields": [
"<string>"
],
"data": {
"id": "warehouse_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"name": "Bethlehem (PA)",
"code": "ABE-1",
"address": {
"address1": "123 Main St",
"address2": "Apt 2",
"address3": "Floor 3",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "United States"
},
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
]
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Warehouses
Update Cart Warehouse Trackstar Tags
Update the trackstar tags for the specified cart warehouse.
PUT
/
cart
/
warehouses
/
{warehouse_id}
/
trackstar-tags
Update Cart Warehouse Trackstar Tags
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
Example:
"<x-trackstar-access-token>"
Path Parameters
Body
application/json
- Base Schema
- Amazon
- BigCommerce
- eBay
- Etsy
- Faire
- Groupon
- Magento (Adobe Commerce)
- Mirakl
- NuOrder
- Overstock
- Cart Sandbox
- Shopify
- Squarespace
- TikTok
- Walmart
- Wayfair
- Wix
- WooCommerce
A list of custom tags associated with the resource. A tag can be either a string or a dictionary with one key-value pair.
Example:
["tag1", "tag2", { "tag3": "value3" }]⌘I